Para discutir e enviar feedback sobre nossos produtos, participe do canal oficial da API Display & Video 360 e de arquivos de dados estruturados no Discord. Ele está disponível no servidor da comunidade de publicidade e medição do Google (link em inglês).
Method: advertisers.lineItems.targetingTypes.assignedTargetingOptions.list
Mantenha tudo organizado com as coleções
Salve e categorize o conteúdo com base nas suas preferências.
Obrigatório. Identifica o tipo de opções de segmentação atribuídas para listar.
Os tipos de segmentação compatíveis incluem:
TARGETING_TYPE_AGE_RANGE
TARGETING_TYPE_APP
TARGETING_TYPE_APP_CATEGORY
TARGETING_TYPE_AUDIENCE_GROUP
TARGETING_TYPE_AUDIO_CONTENT_TYPE
TARGETING_TYPE_AUTHORIZED_SELLER_STATUS
TARGETING_TYPE_BROWSER
TARGETING_TYPE_BUSINESS_CHAIN
TARGETING_TYPE_CARRIER_AND_ISP
TARGETING_TYPE_CATEGORY
TARGETING_TYPE_CHANNEL
TARGETING_TYPE_CONTENT_DURATION
TARGETING_TYPE_CONTENT_GENRE
TARGETING_TYPE_CONTENT_INSTREAM_POSITION
TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION
TARGETING_TYPE_CONTENT_STREAM_TYPE
TARGETING_TYPE_DAY_AND_TIME
TARGETING_TYPE_DEVICE_MAKE_MODEL
TARGETING_TYPE_DEVICE_TYPE
TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION
TARGETING_TYPE_ENVIRONMENT
TARGETING_TYPE_EXCHANGE
TARGETING_TYPE_GENDER
TARGETING_TYPE_GEO_REGION
TARGETING_TYPE_HOUSEHOLD_INCOME
TARGETING_TYPE_INVENTORY_SOURCE
TARGETING_TYPE_INVENTORY_SOURCE_GROUP
TARGETING_TYPE_KEYWORD
TARGETING_TYPE_LANGUAGE
TARGETING_TYPE_NATIVE_CONTENT_POSITION
TARGETING_TYPE_NEGATIVE_KEYWORD_LIST
TARGETING_TYPE_OMID
TARGETING_TYPE_ON_SCREEN_POSITION
TARGETING_TYPE_OPERATING_SYSTEM
TARGETING_TYPE_PARENTAL_STATUS
TARGETING_TYPE_POI
TARGETING_TYPE_PROXIMITY_LOCATION_LIST
TARGETING_TYPE_REGIONAL_LOCATION_LIST
TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION
TARGETING_TYPE_SUB_EXCHANGE
TARGETING_TYPE_THIRD_PARTY_VERIFIER
TARGETING_TYPE_URL
TARGETING_TYPE_USER_REWARDED_CONTENT
TARGETING_TYPE_VIDEO_PLAYER_SIZE
TARGETING_TYPE_VIEWABILITY
TARGETING_TYPE_YOUTUBE_CHANNEL (somente para LINE_ITEM_TYPE_YOUTUBE_AND_PARTNERS_VIDEO_SEQUENCE itens de linha)
TARGETING_TYPE_YOUTUBE_VIDEO (somente para LINE_ITEM_TYPE_YOUTUBE_AND_PARTNERS_VIDEO_SEQUENCE itens de linha)
Parâmetros de consulta
Parâmetros
pageSize
integer
Tamanho da página solicitada. O valor precisa estar entre 1 e 5000. Se não for especificado, o padrão será 100. Retorna o código de erro INVALID_ARGUMENT se um valor inválido for especificado.
pageToken
string
Um token que identifica a página de resultados que o servidor retornará. Normalmente, esse é o valor de nextPageToken retornado da chamada anterior para o método assignedTargetingOptions.list. Se não for especificado, a primeira página de resultados será retornada.
orderBy
string
Campo que classificará a lista. Os valores aceitáveis são:
assignedTargetingOptionId (padrão)
A ordem de classificação padrão é crescente. Para especificar a ordem decrescente de um campo, use o sufixo "desc" deve ser adicionado ao nome do campo. Exemplo: assignedTargetingOptionId desc.
filter
string
Permite filtrar por campos de opção de segmentação atribuídos.
Sintaxe compatível:
As expressões de filtro são compostas por uma ou mais restrições.
As restrições podem ser combinadas pelo operador lógico OR.
Uma restrição tem o formato {field} {operator} {value}.
Todos os campos precisam usar o operador EQUALS (=).
Campos compatíveis:
assignedTargetingOptionId
inheritance
Exemplos:
Recursos AssignedTargetingOption com ID 1 ou 2: assignedTargetingOptionId="1" OR assignedTargetingOptionId="2"
Recursos AssignedTargetingOption com status de herança NOT_INHERITED ou INHERITED_FROM_PARTNER: inheritance="NOT_INHERITED" OR inheritance="INHERITED_FROM_PARTNER"
Um token que identifica a próxima página de resultados. Esse valor precisa ser especificado como pageToken em um ListLineItemAssignedTargetingOptionsRequest subsequente para buscar a próxima página de resultados. Esse token estará ausente se não houver mais assignedTargetingOptions para retornar.
[[["Fácil de entender","easyToUnderstand","thumb-up"],["Meu problema foi resolvido","solvedMyProblem","thumb-up"],["Outro","otherUp","thumb-up"]],[["Não contém as informações de que eu preciso","missingTheInformationINeed","thumb-down"],["Muito complicado / etapas demais","tooComplicatedTooManySteps","thumb-down"],["Desatualizado","outOfDate","thumb-down"],["Problema na tradução","translationIssue","thumb-down"],["Problema com as amostras / o código","samplesCodeIssue","thumb-down"],["Outro","otherDown","thumb-down"]],["Última atualização 2025-07-25 UTC."],[],["This document outlines the process for listing targeting options assigned to a line item using the Display & Video 360 API. The core action is sending a `GET` request to a specific URL including `advertiserId`, `lineItemId`, and `targetingType` as path parameters. Optional query parameters, `pageSize`, `pageToken`, `orderBy` and `filter`, allow for result refinement. The empty request returns a list of `assignedTargetingOptions` and a `nextPageToken` for pagination in the response. Requires OAuth `display-video` scope.\n"]]